org.eclipse.draw2d

## Class Figure.FigureIterator

- java.lang.Object
- - org.eclipse.draw2d.Figure.FigureIterator

Enclosing class:
  Figure

    public static class Figure.FigureIterator
    extends java.lang.Object

Iterates over a Figure's children.

### Constructor Summary

Constructors
Constructor and Description
`Figure.FigureIterator(IFigure figure)` Constructs a new FigureIterator for the given Figure.

### Method Summary

Methods
`boolean` `hasNext()` Returns `true` if there's another Figure to iterate over.
`IFigure` `nextFigure()` Returns the next Figure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Figure.FigureIterator

    public Figure.FigureIterator(IFigure figure)

Constructs a new FigureIterator for the given Figure.

Parameters:
  `figure` - The Figure whose children to iterate over

### Method Detail

#### nextFigure

    public IFigure nextFigure()

Returns the next Figure.

Returns:
  The next Figure

#### hasNext

    public boolean hasNext()

Returns `true` if there's another Figure to iterate over.

Returns:
  `true` if there's another Figure to iterate over